extends Node

@export var starting_pistol: StringName 
@export var starting_knife: StringName
@export var weapon_spawner: MultiplayerSpawner

func _ready() -> void:
	deferred_ready.call_deferred()

func deferred_ready() -> void:
	if is_multiplayer_authority():
		weapon_spawner.spawn({"scene_file_path": starting_pistol})
		weapon_spawner.spawn({"scene_file_path": starting_knife})
	queue_free()
